Live migration fails with a booted from volume instance

Bug #1469006 reported by Hiroyuki Eguchi on 2015-06-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Hiroyuki Eguchi

Bug Description

This error always occurr in case of a non shared storage environment even if the instance is booted from volume.

# nova live-migration c5993bdb-c230-48b4-ba42-70c680372640 dest_host

ERROR (BadRequest): src_host is not on shared storage: Live migration can not be used without shared storage. (HTTP 400) (Request-ID: req-22dc7adb-fd13-40fd-b7da-10c2851df528)

We should allow user to execute live migration in case of a booted from volume instance.

Changed in nova:
assignee: nobody → Hiroyuki Eguchi (h-eguchi)
Changed in nova:
status: New → In Progress
Hiroyuki Eguchi (h-eguchi) wrote :

I've addded the new review ticket.

Review : https://review.openstack.org/195885/

tags: added: live-migrate
Changed in nova:
status: In Progress → Triaged
importance: Undecided → Medium
status: Triaged → In Progress

Reviewed: https://review.openstack.org/195885
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=177e9ff722019d41fa02eb515735d996ce5eed6a
Submitter: Jenkins
Branch: master

commit 177e9ff722019d41fa02eb515735d996ce5eed6a
Author: Hiroyuki Eguchi <email address hidden>
Date: Wed Aug 5 21:32:08 2015 +0900

    allow live migration in case of a booted from volume instance

    A BadRequest error always occurr in case of
    a non shared storage environment
    even if the instance is booted from volume.
    We should allow user to execute live migration
    in case of a booted from volume instance.

    Closes-Bug: #1469006
    Change-Id: I7989128d5bfa027c8f566c9d66956b1c4d328db5

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-09-03
Changed in nova:
milestone: none → liberty-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-10-15
Changed in nova:
milestone: liberty-3 → 12.0.0

Change abandoned by Matthew Booth (<email address hidden>) on branch: stable/kilo
Review: https://review.openstack.org/289302
Reason: Fair enough. Thanks, Tony.

Change abandoned by Feodor Tersin (<email address hidden>) on branch: master
Review: https://review.openstack.org/335542
Reason: in favor of Id59012547c3318d94b65ab9f7c37c33c3a08b0e0

Reviewed: https://review.openstack.org/337056
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=033d4d268960b18af806fdbe1bb2c1122d09782f
Submitter: Jenkins
Branch: master

commit 033d4d268960b18af806fdbe1bb2c1122d09782f
Author: Hiroyuki Eguchi <email address hidden>
Date: Mon Jul 4 08:14:25 2016 +0000

    libvirt: Delete duplicate check when live-migrating

    A year ago a useless check was added: I7989128d

    The above patch was aimed to enable live-migration when
    instance is booted from volume and has not local disk
    by adding a new check.

    However, the same check has been already checked in
    _is_shared_block_storage method.

    The last part of the _is_shared_block_storage method does
    the same that above patch does:
    - check whether the instance is booted from volume
    - check whether the instance has not a local disk

    Also this check calls _is_booted_from_volume incorrectly.
    Parameter disk_mapping of _is_booted_from_volume must be a dict, but
    this check specifies a string instead.

    And finally introduced _has_local_disk method is wrong, because
    it does not take into accont disk.ephN names.

    This change reverts I7989128d, improves and simplifies related tests.

    Closes-Bug: 1598661
    Related-Bug: 1469006
    Co-Authored-By: Feodor Tersin <email address hidden>
    Change-Id: Id59012547c3318d94b65ab9f7c37c33c3a08b0e0

Reviewed: https://review.openstack.org/416557
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=5b2808c92c730075cfc84d5a019d52e883973ffd
Submitter: Jenkins
Branch: stable/newton

commit 5b2808c92c730075cfc84d5a019d52e883973ffd
Author: Hiroyuki Eguchi <email address hidden>
Date: Mon Jul 4 08:14:25 2016 +0000

    libvirt: Delete duplicate check when live-migrating

    A year ago a useless check was added: I7989128d

    The above patch was aimed to enable live-migration when
    instance is booted from volume and has not local disk
    by adding a new check.

    However, the same check has been already checked in
    _is_shared_block_storage method.

    The last part of the _is_shared_block_storage method does
    the same that above patch does:
    - check whether the instance is booted from volume
    - check whether the instance has not a local disk

    Also this check calls _is_booted_from_volume incorrectly.
    Parameter disk_mapping of _is_booted_from_volume must be a dict, but
    this check specifies a string instead.

    And finally introduced _has_local_disk method is wrong, because
    it does not take into accont disk.ephN names.

    This change reverts I7989128d, improves and simplifies related tests.

    Closes-Bug: 1598661
    Related-Bug: 1469006
    Co-Authored-By: Feodor Tersin <email address hidden>
    Change-Id: Id59012547c3318d94b65ab9f7c37c33c3a08b0e0
    (cherry picked from commit 033d4d268960b18af806fdbe1bb2c1122d09782f)

tags: added: in-stable-newton
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers